Bug 983860 - [abrt] ninvaders-0.1.1-8.fc19: render: Process /usr/bin/nInvaders was killed by signal 11 (SIGSEGV)
[abrt] ninvaders-0.1.1-8.fc19: render: Process /usr/bin/nInvaders was killed ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ninvaders (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
abrt_hash:5f1e5f02c97c57d9bd29c10d677...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 02:38 EDT by Ankur Sinha (FranciscoD)
Modified: 2014-01-29 22:39 EST (History)
2 users (show)

See Also:
Fixed In Version: ninvaders-0.1.1-9.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 22:39:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.48 KB, text/plain)
2013-07-12 02:38 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-12 02:38 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: core_backtrace (831 bytes, text/plain)
2013-07-12 02:39 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: dso_list (504 bytes, text/plain)
2013-07-12 02:39 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: environ (5.03 KB, text/plain)
2013-07-12 02:39 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-12 02:39 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: maps (2.60 KB, text/plain)
2013-07-12 02:39 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: open_fds (105 bytes, text/plain)
2013-07-12 02:39 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-07-12 02:39 EDT, Ankur Sinha (FranciscoD)
no flags Details
File: var_log_messages (312 bytes, text/plain)
2013-07-12 02:39 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-07-12 02:38:52 EDT
Description of problem:
Starting ninvaders from the terminal works. When I hit "space" as it asks me to, it crashes. 

Version-Release number of selected component:
ninvaders-0.1.1-8.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        nInvaders
crash_function: render
executable:     /usr/bin/nInvaders
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
[New LWP 29710]
Core was generated by `nInvaders'.
Program terminated with signal 11, Segmentation fault.
#0  render () at aliens.c:167
167			lowest_ship[k]=-1;

Thread 1 (LWP 29710):
#0  render () at aliens.c:167
No locals.
#1  0x0000000000405718 in initLevel () at nInvaders.c:58
No locals.
#2  handleTimer () at nInvaders.c:224
        aliens_move_counter = 0
        aliens_shot_counter = 0
        player_shot_counter = 0
        ufo_move_counter = 0
        title_animation_counter = 3
        game_over_counter = 0
#3  <signal handler called>
No locals.
#4  0x00000034d08e696e in __read_nocancel () at ../sysdeps/unix/syscall-template.S:81
No locals.
#5  0x00000031d5a0caaa in read (__nbytes=1, __buf=0x7fff1ae9018f, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
No locals.
#6  fifo_push (sp=0x2515710) at ../../ncurses/base/lib_getch.c:281
        c2 = 0 '\000'
        n = <optimized out>
        ch = 0
        mask = <optimized out>
#7  kgetch (sp=0x2515710) at ../../ncurses/base/lib_getch.c:682
        ptr = 0x2538e60
        ch = <optimized out>
        timeleft = 1000
#8  _nc_wgetch (win=win@entry=0x252dc80, result=result@entry=0x7fff1ae9026c, use_meta=<optimized out>) at ../../ncurses/base/lib_getch.c:513
        runcount = 0
        sp = 0x2515710
        ch = <optimized out>
        rc = <optimized out>
#9  0x00000031d5a0d1b5 in wgetch (win=0x252dc80) at ../../ncurses/base/lib_getch.c:643
        code = <optimized out>
        value = 0
#10 0x0000000000405a30 in readInput () at nInvaders.c:139
        ch = <optimized out>
        lastmove = 0
#11 0x0000000000401017 in main (argc=<optimized out>, argv=<optimized out>) at nInvaders.c:347
No locals.
From                To                  Syms Read   Shared Object Library
0x00000031d5a06d50  0x00000031d5a20164  Yes         /lib64/libncurses.so.5
0x0000003e7400ce40  0x0000003e740188d8  Yes         /lib64/libtinfo.so.5
0x00000034d081f410  0x00000034d0961d30  Yes         /lib64/libc.so.6
0x00000034d0c00ed0  0x00000034d0c019d0  Yes         /lib64/libdl.so.2
0x00000034d0400ae0  0x00000034d041ac3a  Yes         /lib64/ld-linux-x86-64.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x60d000	6344704
rbx            0x3e8	1000
rcx            0x1	1
rdx            0x14	20
rsi            0x14	20
rdi            0x253ef60	39055200
rbp            0xffffffff	0xffffffff
rsp            0x7fff1ae8fce8	0x7fff1ae8fce8
r8             0x253ef60	39055200
r9             0x0	0
r10            0x0	0
r11            0x1	1
r12            0x7fff1ae9018f	140733644865935
r13            0x252dc80	38984832
r14            0x2515710	38885136
r15            0x2538e60	39030368
rip            0x404dd0	0x404dd0 <render+48>
eflags         0x10216	[ PF AF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function render:
   0x0000000000404da0 <+0>:	movl   $0x1,0x207532(%rip)        # 0x60c2dc <aliens+12>
   0x0000000000404daa <+10>:	movl   $0xffffffff,0x207524(%rip)        # 0x60c2d8 <aliens+8>
   0x0000000000404db4 <+20>:	mov    $0x60c340,%eax
   0x0000000000404db9 <+25>:	movl   $0xffffffff,0x20751d(%rip)        # 0x60c2e0 <aliens+16>
   0x0000000000404dc3 <+35>:	movl   $0x0,0x20751b(%rip)        # 0x60c2e8 <shipnum>
   0x0000000000404dcd <+45>:	nopl   (%rax)
=> 0x0000000000404dd0 <+48>:	movl   $0xffffffff,(%rax)
   0x0000000000404dd6 <+54>:	add    $0x4,%rax
   0x0000000000404dda <+58>:	jmp    0x404dd0 <render+48>
End of assembler dump.
Comment 1 Ankur Sinha (FranciscoD) 2013-07-12 02:38:57 EDT
Created attachment 772540 [details]
File: backtrace
Comment 2 Ankur Sinha (FranciscoD) 2013-07-12 02:38:59 EDT
Created attachment 772541 [details]
File: cgroup
Comment 3 Ankur Sinha (FranciscoD) 2013-07-12 02:39:02 EDT
Created attachment 772542 [details]
File: core_backtrace
Comment 4 Ankur Sinha (FranciscoD) 2013-07-12 02:39:05 EDT
Created attachment 772543 [details]
File: dso_list
Comment 5 Ankur Sinha (FranciscoD) 2013-07-12 02:39:08 EDT
Created attachment 772544 [details]
File: environ
Comment 6 Ankur Sinha (FranciscoD) 2013-07-12 02:39:11 EDT
Created attachment 772545 [details]
File: limits
Comment 7 Ankur Sinha (FranciscoD) 2013-07-12 02:39:15 EDT
Created attachment 772546 [details]
File: maps
Comment 8 Ankur Sinha (FranciscoD) 2013-07-12 02:39:18 EDT
Created attachment 772547 [details]
File: open_fds
Comment 9 Ankur Sinha (FranciscoD) 2013-07-12 02:39:22 EDT
Created attachment 772548 [details]
File: proc_pid_status
Comment 10 Ankur Sinha (FranciscoD) 2013-07-12 02:39:26 EDT
Created attachment 772549 [details]
File: var_log_messages
Comment 11 Frank Murphy 2013-08-22 10:49:26 EDT
Xfce Desktop
yum install ninvaders
# nInvaders
segfault core dumped

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        nInvaders
crash_function: render
executable:     /usr/bin/nInvaders
kernel:         3.10.9-200.fc19.x86_64
package:        ninvaders-0.1.1-8.fc19
reason:         Process /usr/bin/nInvaders was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1005
Comment 12 Fedora Update System 2013-08-23 09:44:44 EDT
ninvaders-0.1.1-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ninvaders-0.1.1-9.fc19
Comment 13 Fedora Update System 2013-08-23 19:55:39 EDT
Package ninvaders-0.1.1-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ninvaders-0.1.1-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15209/ninvaders-0.1.1-9.fc19
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-01-29 22:39:27 EST
ninvaders-0.1.1-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.